<?php
include"../koneksi.php";

$id = $_POST['user_id'];
$nik = $_POST['nik'];
$user = $_POST['user'];
$password = $_POST['password'];
$kasta = $_POST['kasta'];

		if ($nik == '') {
			$data['error']['edit_nik'] = 'nik Tidak Boleh Kosong';
		}
		if ($user == '') {
			$data['error']['edit_user'] = 'user Tidak Boleh Kosong';
		}
		if ($password == '') {
			$data['error']['edit_password'] = 'password Tidak Boleh Kosong';
		}
		if ($kasta == '') {
			$data['error']['edit_kasta'] = 'level Tidak Boleh Kosong';
		}

		if (empty($data['error'])) {
			$query = "UPDATE user SET
											User_Name = '$user',
											Nik = '$nik',
											Password = '$password',
											Kasta = '$kasta'
											WHERE User_ID = '$id'
											";

			mysqli_query($koneksi, $query)
			or die ("Gagal Perintah SQL".mysql_error());
			$data['hasil'] = 'sukses';
		} else {
			$data['hasil'] = 'gagal';
		}
		echo json_encode($data);

?>

